RN0.60的支持情况

标签: #<Tag:0x00007f65988a2550>

对于RN0.60 的支持有没有一个计划更新呢?
现在直接在RN0.60上使用时xcode 报
library not found for -ljcore-ios-2.1.1

other link flag 删掉 jcore-ios-2.1.1 看看

other link flag 里面没有jcore-ios-2.1.1

我找到问题所在了。
1、找到项目下目录下 node_module/jcore-react-native/RCTJCoreModule/jcore-ios-2.1.1.a
2、对就是这个 jcore-ios-2.1.1.a 这个文件。将它重命名为 libjcore-ios-2.1.1.a。
也就是在前面加个lib就行了。
3、到ios目录下 pod install 就可以了。

原因:
vendored_libraries: 配置需要引用的非系统静态库( 要注意,这里的.a静态库名字必须要带lib前缀,如果引用的静态库名字没lib前缀会导致编译报错,只需要重命名加上即可

1赞

有,是被继承下来的,是在 $(inherited) 这个变量里包含的。

非常感谢,已将这个情况反馈给研发进行处理

1赞